Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Namespaces | Functions
CameraDevice.h File Reference

Go to the source code of this file.

## Classes

class | Argus::CameraDevice
| An object representing a single camera device. More...
class | Argus::ICameraProperties
| An interface to retrieve the properties of a CameraDevice. More...
class | Argus::SensorMode
| An object representing the sensor mode of a CameraDevice. More...
class | Argus::ISensorMode
| An interface to retrieve the properties of a SensorMode. More...

## Namespaces

namespace | Argus

## Functions

| Argus::DEFINE_UUID (InterfaceID, IID_CAMERA_PROPERTIES, 436d2a73, c85b, 4a29, bce5, 15, 60, 6e, 35, 86, 91)
| Argus::DEFINE_UUID (InterfaceID, IID_SENSOR_MODE, e69015e0, db2a, 11e5, a837, 18, 00, 20, 0c, 9a, 66)